WellbyteWellbyte

GET /v1/weibo/web_v2/fetch_user_posts

Get Weibo user posts

stable · 2 credits per success

Get the list of posts published by specified user, support pagination and multiple data detail levels.;uid: User ID (required);page: Page number, starts from 1 (default 1);feature: Data feature value (default 0);- 0: Return 10 basic posts;- 1: Return 20 extended posts;- 2: Return 20 image-related posts;- 3: Return 20 complete posts;since_id: Pagination identifier for next page;Post list data, inc…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s 'https://api.wellbyte.net/v1/weibo/web_v2/fetch_user_posts?uid=7277477906&page=1&feature=0&since_id=demo' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-08-27

data{
code:0
data{
list[ 2 items ]
total:21034
since_id:"5335521855279854kp2"
topicList[ 0 items ]
status_visible:0
bottom_tips_text:"博主设置仅对粉丝展示全部微博内容"
bottom_tips_visible:true
}
meta{
endpoint:"weibo.web_v2.fetch_user_posts"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    uidstringqueryyes用户id7277477906
    pageintegerqueryno页数1
    featureintegerqueryno特征值,控制返回数据的数量和字段:0=返回10条基础数据,1=返回20条扩展数据,2=返回20条图片相关数据,3=返回20条视频相关数据,字段逐级增加0
    since_idstringqueryno翻页标识,用于获取下一页数据demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs